//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL.DBEntities
{
    using System;
    using System.Collections.Generic;
    
    public partial class vt_ProductDetails
    {
        public int Id { get; set; }
        public string MCID { get; set; }
        public string SKUID { get; set; }
        public Nullable<int> ProductId { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public Nullable<int> MinimumQuantity { get; set; }
        public Nullable<int> MaximumQuantity { get; set; }
        public Nullable<bool> IsTrail { get; set; }
        public Nullable<bool> IsMonthly { get; set; }
        public Nullable<bool> IsAnnual { get; set; }
        public Nullable<bool> IsOneTime { get; set; }
        public Nullable<bool> IsMicrosoftProduct { get; set; }
        public string BillingType { get; set; }
        public string Category { get; set; }
        public Nullable<bool> IsAddOn { get; set; }
        public string LicenseType { get; set; }
        public string Duration { get; set; }
        public Nullable<decimal> ListPrice { get; set; }
        public Nullable<decimal> Msrp { get; set; }
    
        public virtual vt_Products vt_Products { get; set; }
    }
}
